ru.bitel.bgbilling.kernel.contract.param.common.bean

## Class PhoneParamValue

- java.lang.Object
- - ru.bitel.bgbilling.kernel.contract.param.common.bean.PhoneParamValue

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Iterable<PhoneParamItem>
  Direct Known Subclasses:
    ContractPhoneParamValue

      public class PhoneParamValue
      extends java.lang.Object
      implements java.io.Serializable, java.lang.Iterable<PhoneParamItem>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PhoneParamValue()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPhoneItem(int index, PhoneParamItem item)`
    `void` | `addPhoneItem(PhoneParamItem item)`
    `void` | `clearParamItems()`
    `java.lang.String` | `getData()`
    `PhoneParamItem` | `getPhoneItem(int index)`
    `java.lang.String` | `getPhones()`
    `java.util.Iterator<PhoneParamItem>` | `iterator()`
    `PhoneParamItem` | `removePhoneItem(int index)`
    `void` | `setPhones(java.lang.String phones)`
    `int` | `size()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, spliterator`

- - ### Constructor Detail

    - #### PhoneParamValue

          public PhoneParamValue()

  - ### Method Detail

    - #### getPhones

          public java.lang.String getPhones()

    - #### setPhones

          public void setPhones(java.lang.String phones)

    - #### getPhoneItem

          public PhoneParamItem getPhoneItem(int index)

    - #### getData

          public java.lang.String getData()

    - #### iterator

          public java.util.Iterator<PhoneParamItem> iterator()

      Specified by:
        `iterator` in interface `java.lang.Iterable<PhoneParamItem>`

    - #### addPhoneItem

          public void addPhoneItem(PhoneParamItem item)

    - #### addPhoneItem

          public void addPhoneItem(int index,
                                   PhoneParamItem item)

    - #### removePhoneItem

          public PhoneParamItem removePhoneItem(int index)

    - #### clearParamItems

          public void clearParamItems()

    - #### size

          public int size()